| escpos-php

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | List of all members
Mike42\Escpos\PrintConnectors\DummyPrintConnector Class Reference
Inheritance diagram for Mike42\Escpos\PrintConnectors\DummyPrintConnector:
[legend]
Collaboration diagram for Mike42\Escpos\PrintConnectors\DummyPrintConnector:
[legend]

## Public Member Functions
| __construct ()
| clear ()
| __destruct ()
| finalize ()
| getData ()
| read ($len)
| write ($data)

## Detailed Description

Print connector that writes to nowhere, but allows the user to retrieve the buffered data. Used for testing.

## Constructor & Destructor Documentation

Mike42\Escpos\PrintConnectors\DummyPrintConnector::__construct | ( |  | ) |

Create new print connector

Mike42\Escpos\PrintConnectors\DummyPrintConnector::__destruct | ( |  | ) |

Print connectors should cause a NOTICE if they are deconstructed when they have not been finalized.

Implements Mike42\Escpos\PrintConnectors\PrintConnector.

## Member Function Documentation

Mike42\Escpos\PrintConnectors\DummyPrintConnector::finalize | ( |  | ) |

Finish using this print connector (close file, socket, send accumulated output, etc).

Implements Mike42\Escpos\PrintConnectors\PrintConnector.

Mike42\Escpos\PrintConnectors\DummyPrintConnector::getData | ( |  | ) |

Returns
  string Get the accumulated data that has been sent to this buffer.

string data which the printer will provide on next Mike42\Escpos\PrintConnectors\DummyPrintConnector::read | ( |  | $len | ) |

Read data from the printer.

Parameters

  string | $len | Length of data to read.

Returns
  Data read from the printer, or false where reading is not possible.

See also
  PrintConnector::read()

Implements Mike42\Escpos\PrintConnectors\PrintConnector.

Mike42\Escpos\PrintConnectors\DummyPrintConnector::write | ( |  | $data | ) |

Write data to the print connector.

Parameters

  string | $data | The data to write

Implements Mike42\Escpos\PrintConnectors\PrintConnector.

The documentation for this class was generated from the following file:

- C:/www/aplusnet/incahellas.com/public_html/lib/escpos-php-development/src/Mike42/Escpos/PrintConnectors/DummyPrintConnector.php